Subject: Re: Cygwin/DJGPP and memory
From: "G.Spagnuolo" <[email-masked]>
To: "Larry Hall (RFK Partners, Inc)" <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 Mar 2002 15:54:42 +0100

Thanks for your reply.
So, the total memory is the only limit. I'm reading about a mysterious 
256MB limit of cygwin: what about it?
With respect to DJGPP, by cygwin I am able to use the virtual memory. Is 
this true?
Thanks again

gs

At 09.48 25/03/2002 -0500, you wrote:
>At 08:54 AM 3/25/2002, G.Spagnuolo wrote:
> >Dear all,
> >I'm browsing the mailing list archive about the limits on memory 
> allocation under cygwin, but I've not yet a complete picture.
> >What is the real limit when I use new[] in a C++ program? The one I set 
> in windows2000 register heap_chunk_in_mb?
>
>
>Yep!  Assuming, of course, that you have that much total memory (physical +
>swap) space available for use.
>
>
>
>Larry Hall                              [email-masked]
>RFK Partners, Inc.                      http://www.rfk.com
>838 Washington Street                   (508) 893-9779 - RFK Office
>Holliston, MA 01746                     (508) 893-9889 - FAX

--
Dr. Giovanni Spagnuolo, Ph.D.
Assistant Professor
University of Salerno
Dipartimento di Ingegneria dell'Informazione ed Ingegneria Elettrica 
(D.I.I.I.E.)
Via Ponte Don Melillo
84084 Fisciano - Salerno - Italy
phone: +39 089 964258
fax: +39 089 964218
e-mail: [email-masked]

"You can tell whether a man is clever by his answers.
You can tell whether a man is wise by his questions."
Naguib Mahfouz

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/